package com.bonus.canteen.core.marketing.v2.rule.price.handler.deductionfixed.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("计价规则详情-固定扣费")
public class PriceDeductionFixedItemDTO {
   @ApiModelProperty("固定扣费（分）")
   private BigDecimal doorAmount;
   @ApiModelProperty("优惠金额（分）")
   private BigDecimal discount;

   public BigDecimal getDoorAmount() {
      return this.doorAmount;
   }

   public BigDecimal getDiscount() {
      return this.discount;
   }

   public void setDoorAmount(final BigDecimal doorAmount) {
      this.doorAmount = doorAmount;
   }

   public void setDiscount(final BigDecimal discount) {
      this.discount = discount;
   }

   public PriceDeductionFixedItemDTO(final BigDecimal doorAmount, final BigDecimal discount) {
      this.doorAmount = doorAmount;
      this.discount = discount;
   }
}
